Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0055047
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSmajoralways2024-03-25 14:572024-05-24 08:06
ReporterjfvaringotView Statuspublic 
Assigned ToSABARINATH P 
PriorityimmediateResolutionopenFixed in Version
StatusscheduledFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0055047: POS2 - Approvals on discounts issues

DescriptionHaving 2 discounts, one with and one without approval.

As soon as the 'with approval' is added to the ticket, all other discounts need to be approved too, even if they are not configured to.
Steps To ReproduceOn Backoffice : https://livebuilds.openbravo.com/context/retail_pos2_modules_pgsql [^]
1. Create 1 discount :
1.a. Type : Discretionary Fixed Percentage
1.b. Percentage discount : 30
1.c. Approval needed : unchecked

2. Create 1 discount :
2.a. Type : Discretionary Fixed Percentage
2.b. Percentage discount : 70
2.c. Approval needed : checked

3. On role 'VallBlancaUser', add UserAction : 'Apply Discretionary and Optional Discount' (Approval Required)
4. On role 'The White Valley Group Admin', add UserAction 'Apply Discretionary and Optional Discount' (Can Use and Approve)

On POS2 : https://livebuilds.openbravo.com/context/retail_pos2_modules_pgsql/web/pos/?terminal=VBS-2 [^]

TEST 1 :
1. Connect with Vallblanca user
2. Add an item A
3. Apply the 30% discount -> no approval needed.
4. Add an item B
5. Apply the 70% discount -> approval needed => approve it with Openbravo user
6. Add an item C
7. Apply the 30% discount -> approval needed => SHOULD NOT BE NEEDED

TEST 2 :
1. Connect with Vallblanca user
2. Add an item A
3. Apply the 70% discount -> approval needed.
4. Add an item B
5. Apply the 30% discount -> approval neede => SHOULD NOT BE NEEDED
Proposed SolutionApprobation should be asked only on discounts for which the 'Approval needed' is checked.

TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0163124)
hgbot (developer)
2024-04-12 08:12

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/2564 [^]

- Issue History
Date Modified Username Field Change
2024-03-25 14:57 jfvaringot New Issue
2024-03-25 14:57 jfvaringot Assigned To => Retail
2024-03-25 14:57 jfvaringot Triggers an Emergency Pack => No
2024-04-11 10:11 guilleaer Status new => acknowledged
2024-04-11 12:54 SABARINATH P Assigned To Retail => SABARINATH P
2024-04-12 07:14 SABARINATH P Status acknowledged => scheduled
2024-04-12 08:12 hgbot Note Added: 0163124
2024-05-07 16:09 lorenzofidalgo Target Version => 24Q2
2024-05-24 08:06 marvintm Target Version 24Q2 =>


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker